#ifndef _ASCII_BUFFER_H
#define _ASCII_BUFFER_H

#include <dstime.h>
#include "buffer.h"

struct ASCIIReaderBufT {
    ReaderBufS buf;
    
    unsigned int channels;
    double *channel;
};
typedef struct ASCIIReaderBufT ASCIIReaderBufS;
typedef struct ASCIIReaderBufT *ASCIIReaderBuf;

int asciiBufferAdd(ASCIIDevice dev, const DSTime time, unsigned int channels, double *channel);
void asciiBufferDestroy(ASCIIReaderBuf buffer);


#endif /* _ASCII_BUFFER_H */
