#ifndef _ADAS_COMMANDS_H
#define _ADAS_COMMANDS_H

enum ADASCommandT {
    ADAS_COMMAND_GET_INFO 			= 0x01,
    ADAS_COMMAND_RESET				= 0x02,
    ADAS_COMMAND_GET_CONFIG			= 0x03,
    ADAS_COMMAND_CONFIGURE			= 0x04,
    ADAS_COMMAND_GET_MCU_INFO			= 0x05,
    ADAS_COMMAND_CONFIGURATION_MODE		= 0x06,
    ADAS_COMMAND_CONTROL			= 0x10,
    ADAS_COMMAND_SHUTDOWN			= 0xFF,

    ADAS_COMMAND_SUBSCRIBE_BASE			= 0xE0,
    ADAS_COMMAND_DEBUG_BASE			= 0xC0
};
typedef enum ADASCommandT ADASCommand;


enum ADASHardwareFlagsT {
    ADAS_HARDWARE_FLAG_CONFIGURABLE_LAYOUT	= 0x01
};
typedef enum ADASHardwareFlagsT ADASHardwareFlags;

#endif /* _ADAS_COMMANDS_H */
