#ifndef _NMV_H
#define _NMV_H

#define NMV_VERSION 1

#include <dstime.h>
#include <dslock.h>

#include "device.h"

typedef unsigned char NMVId;

struct NMVDeviceT {
    DeviceS device;

    DSLockContext lock;
    DSTime lasttime;
    DSDuration force_duration;
    
    unsigned long duration;
    unsigned int channels;
    uint16_t *channel;
    
    DeviceWriter dw;
    
    unsigned char reset;
};

typedef struct NMVDeviceT NMVDeviceS;
typedef struct NMVDeviceT *NMVDevice;


Device nmvDeviceCreate(DSConfigContext config, DSConfigReference ref);

#endif /* _NMV_H */
