#ifndef _SEVAN_BUFFER_H
#define _SEVAN_BUFFER_H

#include <dstime.h>
#include "buffer.h"

struct SEVANReaderBufT {
    ReaderBufS buf;
    
    int rcd_flags;
    unsigned int sensors, channels;
    double *channel, *control_data;
};
typedef struct SEVANReaderBufT SEVANReaderBufS;
typedef struct SEVANReaderBufT *SEVANReaderBuf;

int sevanBufferAdd(SEVANDevice dev, const DSTime time, unsigned int channels, double *channel, unsigned int sensors, int rcd_flags, double *control_data);
void sevanBufferDestroy(SEVANReaderBuf buffer);


#endif /* _ASCII_BUFFER_H */
