#ifndef _FILE_WRITER_H
#define _FILE_WRITER_H

#include "writer.h"

struct FileWriterT {
    WriterS writer;
    
    char *path;
    char *extension;
};

typedef struct FileWriterT FileWriterS;
typedef struct FileWriterT *FileWriter;

struct FileWriterInstanceT {
    WriterInstanceS instance;
    
    FILE *f;
};
typedef struct FileWriterInstanceT FileWriterInstanceS;
typedef struct FileWriterInstanceT *FileWriterInstance;

Writer FileWriterCreate(xmlNodePtr cfg);

#endif /* _FILE_WRITER_H */

