#include <netinet/in.h>

#define _DEVICE_H
#include <device.h>
#include <defaults.h>

unsigned char GetDataSize(DataType type);
unsigned char GetValue(DataType type, char *buf, uint32_t ti, uint32_t *value, double *dvalue);
long GetMaxValue(DataType type, char *buf, unsigned long nd, unsigned char datasize, uint32_t ti);
unsigned char GetFormat(DataType type, char *buf, unsigned long nd, unsigned char datasize, uint32_t ti, char *dispfmt, char *dispffmt);
long PrintValues(DataType type, char *buf, unsigned long nd, unsigned char datasize, uint32_t ti, int perrow, const char *dispfmt, const char *dispffmt, void *win);
