/*
    20040221	Suren Chilingaryan <csa@crdlx5.yerphi.am>
		Initial Version.
*/

#include <stdio.h>
#include "mb91364.h"

#include "defs.h"

#include "debug.h"

extern unsigned long mls;
extern unsigned char switch_flag;

void debug(unsigned char priority, int err) {
    // send error to host

    if (priority>=DEBUG_ERROR) {
	switch_flag |= 4;
	if (priority>=DEBUG_FATAL) {
	    LED2 = 1;
	    while (1) LED3 = (mls/100)%2;
	}
    }
}

#ifdef DEBUG_EVENT
void debug_event(DataType x, DataType y) {
    uart_function(COMMAND_EVENT);
	uart_function(x);
	uart_function(y);
    uart_function(COMMAND_END);
}
#endif /* DEBUG_EVENT */

