#ifndef _SYNC_H
#define _SYNC_H

# ifndef _SYNC_C
extern unsigned char insync;		// Flag: If Time is Synchronized
extern short int sync;			// Synchronization correction
extern short int sync_step;		// Correction step
extern short int sync_divider;		// Correction divider
# endif /* _SYNC_C */


void SYNCsetup();
void SYNCset(int tmp);
void SYNCdrop();

void SYNCduration(int cduration, int rduration);
void SYNCdivider(int tmp);

#define SYNCcheck() insync
#define SYNCcorrection(tmp) sync=tmp

#endif /* _SYNC_H */
