<?
require_once("config.php");
require("tools.php");


if (page_check($_GET['page'])) {
    $error = "Access denied!";
} else {
    parse_info();
    parse_config();

    if ($_GET['page']) { 
	$page = $_GET['page'];
    } else {
	$page = 'about.php';
    }
    
    if (preg_match("/^(monitor|adjustconfig|adjustconfigdb)(\.php)?$/", $page)) {
	$page_new = 1;
    } else {
	$page_new = 0;
    }


    if (preg_match("/(rtdata|adjustconfig|control|^usb|upload|uploaddb|stop|start|restart|reset|shutdown|ntprestart|clean)/", $page)) {
	authenticate();
    }
    
    if ($page_new) {
	include($page);
    }
}

if (preg_match("/\.xml$/", $page)) {
  if (stristr($_SERVER["HTTP_ACCEPT"],"application/xhtml+xml")) {
    header("Content-Type: application/xhtml+xml; charset=KOI8-R");
  } else {
    header("Content-type: text/xml");
  }
} else {
  if (stristr($_SERVER["HTTP_ACCEPT"],"application/xhtml+xml")) {
    header("Content-Type: application/xhtml+xml; charset=KOI8-R");
  } else {
    header("Content-type: text/html");
  }
}


if (!$error) {	
    if (($page_new)&&(function_exists("page_headers"))) {
	page_headers();
    }
}

?>

<?if (preg_match("/(.*)\.xml$/", $page, $m)) {
    echo "<?xml-stylesheet type=\"text/xsl\" href=\"$m[1].xslt\"?>";
} else {?>
    <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<?}?>


<html xmlns="http://www.w3.org/1999/xhtml" xmlns:xf="http://www.w3.org/2002/xforms" xmlns:ev="http://www.w3.org/2001/xml-events" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
<head>
	<title>ADAS Server</title>
	<link rel="stylesheet" type="text/css" href="adas.css"/>
	<script type="text/javascript" src="js/adas.js"/>
	<script type="text/javascript" src="js/dom.js"/>
<?
    if (!$error) {
	if ((!strcmp($HTTP_GET_VARS['page'],"rtdata.php"))||(isset($_GET["update"]))) {
	    ?><meta http-equiv="refresh" content="5"/><?
	}

	if (($page_new)&&(function_exists("page_head"))) {
	    page_head();
	}
    }
?>
</head>

<?if ($_GET["iframe"]) {?>
<body onload="if (parent.SetFrameContent_<?echo $_GET["iframe"];?>) parent.SetFrameContent_<?echo $_GET["iframe"];?>()">
<?} else {?>
<body>
<?}

if (!isset($_GET["noheader"])) {?>
<div class="header">
<b>ADAS</b><br/>
<i>Aragats Data Acquisition Server</i>
</div>
<br/><br/>
<? }?>

<table width="100%">
<tr>
	<?if (!isset($_GET["noleft"])) { ?>
	<td width="180" style="vertical-align: top">
	    <?require("left.php");?>
	</td>
	<?}?>
	<td style="vertical-align: top; padding-left: 20px; padding-right: 20px;">
	<?
	    if ($error) echo $error;
	    else {
		if ($page_new) {
		    if (function_exists("page_body")) {
			page_body();
		    }
		} else include($page);
	    }
	?>
	</td>
</tr>
</table>

</body>
</html>
