function checkerNSResolver(prefix) {
  if(prefix == 'xhtml') {
    return 'http://www.w3.org/1999/xhtml';
  } else {
    return null;
  }
}

function checkerCheckDetector(sensor) {	    
    var configured_voltage = -1, current_voltage = -1, vdiff;
    
    var res = document.evaluate("//xhtml:div[@id=\"" + "hv-input-" + sensor + "\"]/descendant::xhtml:input", document, checkerNSResolver, XPathResult.ANY_TYPE, null);
    var mnode = res.iterateNext();
    if (mnode) configured_voltage = mnode.value;
    
    var dnode = document.getElementById("hv-" + sensor);
    if (dnode) current_voltage = dnode.firstChild.data;

    if ((current_voltage < 0)||(configured_voltage < 0)) return;
    else if (current_voltage > configured_voltage) vdiff = current_voltage - configured_voltage;
    else vdiff = configured_voltage - current_voltage;
    
    var node  = document.getElementById("detector-" + sensor);
    if (node) {
	if (vdiff<10) {
	    node.style.backgroundColor = "#E0E0E0";
	} else {
	    node.style.backgroundColor = "#E0A0A0";
	}
    }
    
} 

function checkerCheck(sensors, renew_time) {
    for (var i=0;i<sensors;i++) {
	checkerCheckDetector(i+1);
    }
    setTimeout("checkerCheck(" + sensors + "," + renew_time + ")", renew_time);
}

function checkerSetup(sensors, init_time, renew_time) {
    setTimeout("checkerCheck(" + sensors + "," + renew_time + ")", init_time);    
}
