function NSResolver(prefix) {
  if(prefix == 'xhtml') {
    return 'http://www.w3.org/1999/xhtml';
  } else {
    return null;
  }
}

/*function loadXML(url, handler, prefix) {
    // Use the standard DOM Level 2 technique, if it is supported
    if (document.implementation && document.implementation.createDocument) {
        // Create a new Document object
        var xmldoc = document.implementation.createDocument("", "", null);
        // Specify what should happen when it finishes loading
        xmldoc.onload = function(  ) { handler(xmldoc, prefix); }
        // And tell it what URL to load
        xmldoc.load(url);
    }
    // Otherwise, use Microsoft's proprietary API for Internet Explorer
    else if (window.ActiveXObject) { 
        var xmldoc = new ActiveXObject("Microsoft.XMLDOM");   // Create doc
        xmldoc.onreadystatechange = function(  ) {              // Specify onload
            if (xmldoc.readyState == 4) handler(xmldoc, prefix);
        }
        xmldoc.load(url);                                     // Start loading!
    }
}
*/

function loadXML(url, handler, attr) {
    var req;
    
    if (window.XMLHttpRequest) {
	req = new XMLHttpRequest();
    } else if (window.ActiveXObject) { 
	req = new ActiveXObject("Microsoft.XMLHTTP");
    }
    
    try {    
	req.data_attr = attr;
	req.data_handler = handler;
    
	req.onreadystatechange = function() {
	    try {
		if ((req.readyState == 4)&&(req.status == 200)) {
		    req.data_handler(req.responseXML, req.data_attr);
		}
	    } catch (e) {}
	}
	req.open("GET", url, true);
	req.send( null );
    } catch (e) {}
/*    
    if ((req.readyState == 4)&&(req.status == 200)) {
	handler(req.responseXML,attr);
    }
*/    
}

function xsltHandler(xsltdoc, xattr) {
    xattr.xslt_processor.importStylesheet(xsltdoc);
    xattr.handler(xattr.xslt_processor, xattr.attr);
}

function loadXSLT(url, handler, attr) {
    var xattr = new Object();

    xattr.attr = attr;
    xattr.handler = handler;
    xattr.xslt_processor = new XSLTProcessor();

    loadXML(url, xsltHandler, xattr);
}
