<?
    if (!$authenticated) {
	echo $unauthorized;
	return 0;
    }

    $rules = @file($UDEV_FILE);

    $props = array();
    
    $device = $_POST["device"];
    if ($device) unset($_POST["device"]);
    else {
        echo "<span class=\"highlight\">Error:</span> Device not specified!";
	return 0;
    }
    
    foreach($_POST as $name=>$value) {
	$props[$name] = $value;
    }
    
    if ($rules) {
	foreach ($rules as $pos=>$rule) {
	    $valid = 1;
	    if (preg_match_all("/SYSFS{([^}]+)}==\"([^\"]+)\"/i", $rule, $ms, PREG_SET_ORDER)) {
		foreach ($ms as $m) {
		    $name = $m[1];
		    $value = "/" . preg_replace($UDEV_REGEXP, ".+", $m[2]) . "/";

		    if ((!isset($props[$name]))||(!preg_match($value, $props[$name]))) {
			$valid = 0;
			break;
		    }
		}
	    } else $valid = 0;
	    
	    if ($valid) unset($rules[$pos]);
	}

	foreach ($rules as $pos=>$rule) {
	    if (preg_match("/SYMLINK\+=\"adas-usb\/$device\"/", $rule)) {
	        echo "<span class=\"highlight\">Error:</span> Device ($device) already configured!";
		return 0;
	    }
	}
    }
    

    $line = 'KERNEL="ttyUSB[0-9]*", ';
    foreach ($props as $name=>$value) {
	$value = preg_replace($UDEV_REGEXP, "*", $value);
	$line .= "SYSFS{" . $name . "}==\"$value\", ";
    }
    $line .= "SYMLINK+=\"adas-usb/usb-$device\"";
    
    $fp = @fopen($UDEV_FILE, "w");
    if (!$fp) {
        echo "<span class=\"highlight\">Error:</span> Can't open $UDEV_FILE for writing!";
	return 0;
    }

    if ($rules) {    
	foreach ($rules as $rule) {
	    if (!preg_match("/^\s+$/", $rule)) {
	        $rule = preg_replace("/[\s\n]+$/","", $rule);
		fwrite($fp, $rule . "\n");
	    }
	}
    }
    fwrite($fp, $line . "\n");

    fclose($fp);
    
    echo "Done";
?>
<script type="text/javascript">location.replace("index.php?page=usb.xml");</script>
