#ifndef _ASCII_H
#define _ASCII_H

#define ASCII_VERSION 1

#include <dstime.h>
#include <dslock.h>

#include "device.h"

#define ASCII_RESET_DELAY		2000 /* ms */

typedef unsigned char ASCIIId;

struct ASCIIDeviceT {
    DeviceS device;

    DSLockContext lock;
    DSTime lasttime;
    DSDuration force_duration;
    
    unsigned long duration;
    unsigned int channels;
    double *channel;
    
    DeviceWriter dw;
    
    unsigned char reset;
};

typedef struct ASCIIDeviceT ASCIIDeviceS;
typedef struct ASCIIDeviceT *ASCIIDevice;


Device asciiDeviceCreate(DSConfigContext config, DSConfigReference ref);

#endif /* _ASCII_H */
