#ifndef _NMV_BUFFER_H
#define _NMV_BUFFER_H

#include <dstime.h>
#include "buffer.h"

struct NMVReaderBufT {
    ReaderBufS buf;
    
    unsigned int channels;
    uint16_t *channel;
};
typedef struct NMVReaderBufT NMVReaderBufS;
typedef struct NMVReaderBufT *NMVReaderBuf;

int nmvBufferAdd(NMVDevice dev, const DSTime time, unsigned int channels, uint16_t *channel);
void nmvBufferDestroy(NMVReaderBuf buffer);


#endif /* _NMV_BUFFER_H */
