#ifndef _CONFIG_H
#define _CONFIG_H

#define VERSION 5
#define PLLclock 64		// PLL Clock in MHZ

#include "commands.h"
#include "communication.h"

#define bit(i) 1<<i
#define MAX_DETECTORS_NUMBER1 6
#define MAX_DETECTORS_NUMBER2 6
#define BUFFER_SIZE 200
#define DEFAULT_COUNTING_DURATION 10000
#define DEAD_COUNTING_DURATION 10
#define COUNTING_DIVIDER 4
#define DEFAULT_SYNC_DIVIDER 500

#define LIGHT_SWITCH_INTERVAL 50
#define LIGTH_SWITCH_MULTIPLAYER 25

#if MAX_DETECTORS_NUMBER1 > MAX_DETECTORS_NUMBER2
#define MAX_DETECTORS_NUMBER MAX_DETECTORS_NUMBER1
#else
#define MAX_DETECTORS_NUMBER MAX_DETECTORS_NUMBER2
#endif

#endif /* _CONFIG_H */
