/* THIS SAMPLE CODE IS PROVIDED AS IS AND IS SUBJECT TO ALTERATIONS. FUJITSU */
/* MICROELECTRONICS ACCEPTS NO RESPONSIBILITY OR LIABILITY FOR ANY ERRORS OR */
/* ELIGIBILITY FOR ANY PURPOSES.                                             */
/*                 (C) Fujitsu Microelectronics Europe GmbH                  */
/*******************************************************************

  UART0.H		

  Prototypes for UART0 communication routines

  V1.0 MM 2.8.99
  
 *******************************************************************/

#ifndef _UART0_H
#define _UART0_H

#define UART_TIMEOUT 40 /* ms */
#define UART_ERROR_MASK 224
#define UART_INPUT_MASK 240

void UART0init(unsigned long baudr, unsigned char datab, unsigned char par, unsigned char stopb);
int  UART0getch (void);
int  UART0getchW (void);   
int  UART0getchDW (unsigned long *ret);
int  UART0Tgetch (void);
int  UART0TgetchW (void);   
int  UART0TgetchDW (unsigned long *ret);
void UART0putch (int ch);
void UART0putchW (int ch);
void UART0putchDW (int ch);
void UART0putS(const char *buf);
int UART0received();
int UART0skip();

#endif

