//  GLOBAL.H		

#ifndef _GLOBAL_H
#define _GLOBAL_H

typedef unsigned char Byte;
typedef unsigned short Word;
typedef unsigned long DWord;

typedef unsigned char BYTE;
typedef unsigned short WORD;
typedef unsigned long DWORD;


#define ERROR   -1
#define OK	0
#define TRUE    1
#define FALSE   0
#define ON      TRUE
#define OFF     FALSE

#define BIN2BYTE(a) ( ((0x##a##L>>21) & 0x80) + ((0x##a##L>>18) & 0x40) \
                    + ((0x##a##L>>15) & 0x20) + ((0x##a##L>>12) & 0x10) \
                    + ((0x##a##L>>9) & 0x08) + ((0x##a##L>>6) & 0x04)  \
                    + ((0x##a##L>>3) & 0x02) + (0x##a##L & 0x01))



#endif
