#ifndef _LADC_H
#define _LADC_H

#include "defs.h"

#ifdef _GATE_IRQ_
# define LADC_INT EINT2_INT
#else /* _GATE_IRQ_ */
# define LADC_INT EINT3_INT
#endif /* _GATE_IRQ_ */

#define RESET_LADC	Bit(16)

void WriteDAC(U8 channel, U8 data);
void InitDAC();
U8 ReadADC(U8 selector);

void LADCsetup();
void LADCsetupIRQ();
void LADCenableIRQ();
void LADCresetBoard();

# ifndef _LADC_C
extern unsigned char Event1, Overload1, irq_disabled;
extern unsigned char Data1[BUFFER_SIZE][LADCchannels];
extern unsigned long EventTime1[BUFFER_SIZE];
extern unsigned int buffer1_start, buffer1_end, buffer1_new_iteration;
extern U8 Threshold[];
# endif /* _LADC_C */

/*
extern U8 LADCdata[LADCchannels];
extern U8 Profile[1 + LADCchannels/8];
extern U32 Spectrum[LADCchannels][128];
extern U8 SpectrumThreshold[LADCchannels];
extern U32 SpectrumMaximum[LADCchannels];


extern BOOL Overload;
*/

#endif /* _LADC_H */
