#ifndef _SPI_
#define _SPI_

#include "defs.h"

#define FRAMchipSizeBits	15		/* LOG2(Size) */
#define FRAMchipsNum		8

#define FRAMchipSize		(1 << FRAMchipSizeBits)
#define MaxFRAMchip_addr	(FRAMchipSize - 1)
#define MaxFRAMaddr			((FRAMchipsNum*0x8000)-1)

void InitSPI0();
void InitFRAM();
U8 SPI0(U8 data);
U8 FRAM_Command(U8 data);
U16 SelectFRAM(U32 addr);
void WriteFRAM_U8(U32 addr, U8 data);
void WriteFRAM_U16(U32 addr, U16 data);
void WriteFRAM_U32(U32 addr, U32 data);
int WriteFRAM(U32 addr, U8 *ptr, U32 counter);
U8 ReadFRAM_U8(U32 addr);
U16 ReadFRAM_U16(U32 addr);
U32 ReadFRAM_U32(U32 addr);
int ReadFRAM(U32 addr, U8 *ptr, U32 counter);

#endif
