#ifndef _TIME_H
#define _TIME_H

# ifndef _TIME_C
extern volatile unsigned long mls;	// Milliseconds of current iteration
extern unsigned long iter;		// Current Iteration
extern unsigned char rest_flag;		// Flag: Start or end of iteration
extern unsigned char reset_flag;	// Flag: Reset detector values to zeroes
extern unsigned short int counting_duration;	// Duration of iteration main part
extern unsigned short int rest_counting_duration; // Duration of iteration dead time (at the end)
extern short int sync_flag;
# endif /* _TIME_C */


void TIMEsetup();

void TIMEdelay(unsigned long us);
void TIMEduration(int ms);
#define TIMEremaining() ((rest_flag)?(mls):(mls + rest_counting_duration))

#endif /* _TIME_H */
