#include "serial.h"

void PrintNumber(int input, int i) {
    int flag = 0;
    
    if (i>99999) {
	UARTputch(input, 'm');
	return;
    }
    
    if (i>9999) {
	UARTputch(input, '0'+i/10000);
	i-= 10000*(i/10000);
	flag = 1;
    } 
    if (i>999) {
	UARTputch(input, '0'+i/1000);
	i-= 1000*(i/1000);
	flag = 1;
    } else if (flag) UARTputch(input, '0');
    if (i>99) {
	UARTputch(input, '0'+i/100);
	i-= 100*(i/100);
	flag = 1;
    } else if (flag) UARTputch(input, '0');
    if (i>9) {
	UARTputch(input, '0'+i/10);
	i-= 10*(i/10);
    } else if (flag) UARTputch(input, '0');
    UARTputch(input, '0'+i);
}

static unsigned long nope_counter; 

void nope() {
    nope_counter++;
}
