<?  if (!strcmp($status, "Stopped")) {?>
<div class="navigation"><div class="linkbutton"><a href="index.php?page=start.php&amp;redirect=<?echo urlencode(serialize($_GET));?>">Start ADAS Server</a></div></div><br/>
<?}?>

<div class="download">
<h4 align="center">Global Information</h4><br/>
<span class="highlight">Server</span>          : Aragats Data Acquisition Server<br/>
<span class="highlight">Server Name</span>     : <?
    $fp = @popen("hostname", "r");
    if ($fp) {
	while (!feof($fp)) {
	    echo htmlspecialchars(fgets($fp));
	}
	pclose($fp);	
    } else echo "Unknown";
?><br/>
<span class="highlight">Version</span>            : <?echo $version;?><br/>
<span class="highlight">Status</span>             : <?
    if ((preg_match("/Stopped/i", $status))&&(!is_file("/etc/adas.cfg"))) echo "Not Configured";
    else echo $status;
?><br/>
<span class="highlight">Server Time</span>        : <?echo $srvtime;?><br/>
<span class="highlight">Subnetwork</span>         : <?
    $fp = @popen("/sbin/ifconfig eth0:1", "r");
    if ($fp) {
	while (!feof($fp)) {
	    $tmp = fgets($fp);
	    if (preg_match("/inet addr:\s*(\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3})/", $tmp, $m)) {
		$subnet = $m[1];
		print $subnet . "/24";
		break;
	    }	    
	}
	pclose($fp);
    } else echo "Detection failure";
?> (<a href="index.php?page=detect.php&amp;subnet=<?echo $subnet;?>">Detect connected devices</a>)<br/>
<span class="highlight">Data Storage</span> : <?
    if (file_exists("/etc/adas-clean.cfg")) {
	$fp = popen('grep -iE "permanent[[:space:]]days" /etc/adas-clean.cfg', "r");
	if ($fp) {
	    $days = fgets($fp);
	    if (preg_match("/(\d+)+/", $days, $m)) { echo $m[1] . " days"; }
	    else echo "default";
	    pclose($fp);
	} else echo "default";	
    } else echo "default";
?> ( <a href="index.php?page=cleanset.php&amp;redirect=<?echo urlencode(serialize($_GET));?>">Set</a>, <a href="index.php?page=clean.php&amp;redirect=<?echo urlencode(serialize($_GET));?>">Clean</a>)<br/>
<span class="highlight">Disk Space</span> : <?
    $fp = @popen("df -m", "r");
    if ($fp) {
	$printed = 0;
	while (!feof($fp)) {
	    $record = fgets($fp);
	    $rec = preg_split("/\s+/", $record);
	    
	    if (preg_match("/hda1/", $rec[0])) {
		if ($printed) echo ", ";
		else $printed = 1;
		echo "Root FS ~ "; 
		if ($rec[3]<50) { echo "<span class=\"highlight\"><strong>"; }
		echo "$rec[3]MB";
		if ($rec[3]<50) { echo "</strong></span>"; }
	    }
	    else if (preg_match("/log/", $rec[5])) {
		if ($printed) echo ", ";
		else $printed = 1;
		echo "Log FS ~ ";
		if ($rec[3]<10) { echo "<span class=\"highlight\"><strong>"; }
		echo "$rec[3]MB";
		if ($rec[3]<10) { echo "</strong></span>"; }
	    }
	    else if (preg_match("/ftp/", $rec[5])) {
		if ($printed) echo ", ";
		else $printed = 1;
		echo "FTP FS ~ ";
		if ($rec[3]<10) { echo "<span class=\"highlight\"><strong>"; }
		echo "$rec[3]MB";
		if ($rec[3]<10) { echo "</strong></span>"; }
	    }
    
	}
	pclose($fp);	
    } else echo "Unknown";?><br/>
<br/>
</div>

<br/><br/>
<? if (strcmp($status, "Stopped")) {?>
<div class="download">
<div align="center"><span class="title">Last Error</span><?
    if (isset($_COOKIE["actuallogtime"])) $lstime = $_COOKIE["actuallogtime"];
    else $lstime = 0;

    $have_error = 0;
    $sock = @fsockopen("/tmp/adas/logserv.socket");
    if (!$sock) $sock = @fsockopen("unix:///tmp/adas/logserv.socket");
    $errors = array();
    
    if ($sock) {
	while (!feof($sock)) {
	    $record = fgets($sock);
	    $rec = split(" ", $record, 3);
	    
	    if ($rec) {
		$unixtime = strtotime($rec[0]);
		$level = is_error($rec[1]);
		if (($level>1)&&($unixtime>$lstime)&&((time()-$unixtime)<3600)) { 
		    $error["msg"] = $rec[2];
		    $error["level"] = $level;
		    $error["time"] = $unixtime;
		    $errors[] = $error;
		    
		    $have_error = 1;
		}
	    }
	}
	fclose($sock);    
	if ($have_error) {
	    ?><span class="clearlog">(<a href="clearlog.php?time=<?echo time();?>&amp;redirect=<?echo urlencode(serialize($_GET));?>">clear logs</a>)</span></div><br/><br/><?
	    $have_global_errors = 0;
	    foreach($errors as $error) {
		if (is_global_error($error)) {
		    $level = $error["level"];
		    $unixtime = $error["time"];
		    print "<em>" . date("H:i:s.", $unixtime) . "</em>";
		    if ($level>2) print("<span class=\"highlight\">");
		    print $error["msg"] . "<br/>";
		    if ($level>2) print("</span>");
		    $have_global_errors = 1;
		}
	    }
	    
	    if (!$have_global_errors) {
		?><span class="highlight">Warning</span>: There is no global server-wide errors. However, per-device errors are registered!<br/><br/><?
	    }
	} else {
	    ?></div><br/><br/>Everything is fine. No errors detected!<br/><br/><?
	}
    } else {
	?></div><br/><br/><span class="highlight">Error</span>: Log Server is not running!<br/><br/><?
    }

?></div>

<?
$detectors = list_filedetectors(FALSE);
for ($i=0;$i<$devices;$i++) {
    $curdev = &$device[$i];
?>
<br/><br/>
<div class="download">
<H4><?echo $curdev["type"] . " Device: " . $curdev["name"];?></H4>
<div class="reset"><a href="index.php?page=reset.php&amp;detector=<?echo $curdev["name"];?>&amp;redirect=<?echo urlencode(serialize($_GET));?>">Reset</a></div>
<br/>
<span class="highlight">Version</span>      : <?echo $curdev["version"];?><br/>
<span class="highlight">Status</span>       : <?echo $curdev["status"];?><br/>
<span class="highlight">Properties</span>   : <?echo $curdev["properties"];?><br/>
<? 
    $hwinfo = parse_mcu_info($curdev["name"]);
    if ($hwinfo) {
?>
<span class="highlight">Hardware</span>     : <?
    if (preg_match("/^\s*\d+\s*$/", $hwinfo["type"])) echo "Type: " . $hwinfo["type"];
    else echo $hwinfo["type"];?>, Version: <?echo $hwinfo["version"];?><br/>
<?  }?>
<span class="highlight">Configuration</span>: <a href="index.php?page=get&amp;config&amp;detector=<?echo $curdev["name"];?>&amp;view">View current configuration</a>, <a href="index.php?page=adjustconfig.php&amp;hv&amp;detector=<?echo $curdev["name"];?>">Adjust HV/Thresholds</a>, <a href="index.php?page=adjustconfig.php&amp;layout&amp;detector=<?echo $curdev["name"];?>">Adjust Layout</a><br/>
<span class="highlight">Operation</span>    : <a href="index.php?page=monitor.php&amp;detector=<?echo $curdev["name"];?>">Monitor</a>, <a href="index.php?page=control.php&amp;detector=<?echo $curdev["name"];?>">Send Control Command</a>, <a href="index.php?page=rtdata.php&amp;detector=<?echo $curdev["name"];?>">Real Time Data</a><br/>
<br/><br/>
<?
    foreach ($detectors as $detector) {
	if (preg_match("/^$curdev[name]/", $detector)) {
	    print "<H4>" . $detector . "</H4>";
	    ?>&nbsp;&nbsp;<span class="highlight">Description</span>: 
	    <a href="index.php?page=get&amp;description&amp;view&amp;detector=<?echo $detector;?>">View</a>, 
	    <a href="get?description&amp;download&amp;detector=<?echo $detector;?>">Download</a>, 
	    <a href="index.php?page=upload.php&amp;detector=<?echo $detector;?>">Upload</a><br/>
	    &nbsp;&nbsp;<span class="highlight">Sub Data</span>: <?
	    $sublists = list_filesubs(FALSE, $detector);
	    $printed = 0;
	    foreach ($sublists as $sublist) {
		if ($printed) echo ", ";
		else $printed = 1;
		echo $sublist;
	    }
	    if (!$printed) echo "no subdata";?><br/>
	    &nbsp;&nbsp;<span class="highlight">Dates</span>: <?
	    $sublists = list_dates(FALSE, $detector, NULL);
	    $printed = 0;
	    foreach ($sublists as $sublist) {
		if ($printed) echo ", ";
		else $printed = 1;
		echo $sublist;
	    }
	    if (!$printed) echo "no data";?><br/><br/><?
	    
	}
    }
    
    if ($have_error) {
	$device_have_errors = 0;
        foreach($errors as $error) {
	    if (preg_match("/" . $curdev["name"] . "/", $error["msg"])) {
		$device_have_errors = 1;
		break;
	    }
	}
	if ($device_have_errors) {
	    ?><span class="title">Last Errors</span><?
	    ?><span class="clearlog">(<a href="clearlog.php?time=<?echo time();?>&amp;redirect=<?echo urlencode(serialize($_GET));?>">clear logs</a>)</span><br/><?
    	    foreach($errors as $error) {
		if (preg_match("/" . $curdev["name"] . "/", $error["msg"])) {
		    $level = $error["level"];
		    $unixtime = $error["time"];
		    print "&nbsp;&nbsp;<em>" . date("H:i:s.", $unixtime) . "</em>";
		    if ($level>2) print("<span class=\"highlight\">");
		    echo $error["msg"] . "<br/>";
		    if ($level>2) print("</span>");
		}
	    }
	}

    }
?>
</div>
<?}?>
<?} else {
    $detectors = list_filedetectors(FALSE);
    foreach ($detectors as $detector) {
	    echo "<div class=\"download\"><H4>" . $detector . "</H4>";
	    ?>&nbsp;&nbsp;<span class="highlight">Description</span>: 
	    <a href="index.php?page=get&amp;description&amp;view&amp;detector=<?echo $detector;?>">View</a>, 
	    <a href="get?description&amp;download&amp;detector=<?echo $detector;?>">Download</a>, 
	    <a href="index.php?page=upload.php&amp;detector=<?echo $detector;?>">Upload</a><br/>
	    &nbsp;&nbsp;<span class="highlight">Sub Data</span>: <?/*"*/
	    $sublists = list_filesubs(FALSE, $detector);
	    $printed = 0;
	    foreach ($sublists as $sublist) {
		if ($printed) echo ", ";
		else $printed = 1;
		echo $sublist;
	    }
	    if (!$printed) echo "no subdata";?><br/>
	    &nbsp;&nbsp;<span class="highlight">Dates</span>: <?
	    $sublists = list_dates(FALSE, $detector, NULL);
	    $printed = 0;
	    foreach ($sublists as $sublist) {
		if ($printed) echo ", ";
		else $printed = 1;
		echo $sublist;
	    }
	    if (!$printed) echo "no data";?></div><br/><br/><?
    }

}
