<?
function curdata_dir($directory, $today) {
    global $max_records;
    
    $printed = 0;

    $dh = opendir($directory);
    if ($dh) {
	while(($file = readdir($dh)) !== false) {
	    if ((is_dir($directory . "/" . $file))&&(!preg_match("/lost.found/",$file))&&(preg_match("/^\w/", $file))) {
		if ((isset($_GET["detector"]))&&(strcmp($_GET["detector"], $file))) continue;
			    
		$printed = 1;
		if (isset($_GET["sub"])) 
	    	    echo "<div class=\"download\"><h4>$file (sub: " . $_GET["sub"] . ")</h4>";
		else 
		    echo "<div class=\"download\"><h4>$file</h4>";
		
		$subs = list_filesubs($directory, $file);
		
		if (count($subs)) {
		    echo "<p class=\"sublist\">";
		}
		$have_subs = 0;
		foreach ($subs as $sub) {
		    if ($have_subs) echo ", ";
		    if ((isset($_GET["sub"]))&&(!strcmp($_GET["sub"], $sub))) {
			echo $sub;
		    } else {
			?><a href="index.php?page=curdata.php&amp;detector=<?echo $file;?>&amp;sub=<?echo $sub;?>"><?echo $sub;?></a><?
		    }			
		    $have_subs = 1;
		}
		if ($have_subs) {
		    echo "</p>";
		}
		echo "<br/>";
		
		if ($_GET["sub"]) 
		    $fullname = $directory . "/" . $file . "/" . $today . "-" . $_GET["sub"] . ".xml";
		else
		    $fullname = $directory . "/" . $file . "/" . $today . ".xml";

		if (is_file($fullname)) {
		    $fh = popen("grep '^</Data' $fullname | wc -l", "r");
		    if ($fh) {
			$lines = fgets($fh);
			pclose($fh);
		    } else $lines = 0;
		    
		    if ($lines > $max_records) {
			$fh = popen("grep -b '^</Data' $fullname | tail -n $max_records | head -n 1", "r");
			if ($fh) {
			    $offset = fgets($fh);
			    pclose($fh);
			    
			    if (preg_match("/^(\d+):(.*)$/", $offset, $m)) {
				$offset = $m[1] + strlen($m[2]) + 1;
			    } else $lines = 0;
			} else $lines = 0;
		    } else $offset = 0;

		    
		    if ($lines) {
			echo "<pre>";
			$fh = fopen($fullname, "r");
			if ($fh) {
			    fseek($fh, $offset, SEEK_SET);
			    while (!feof($fh)) {
				echo htmlspecialchars(fread($fh, 8192));
			    }
			    fclose($fh);
			}
			echo "</pre>";
		    }
			    
		    
/*
		$fh = @fopen($directory . "/" . $file . "/" . $today . ".xml", "r");
		if ($fh) {
		    $lines = 0;
		    
		    while (!feof($fh)) {
			if (preg_match("/^\s*<\/Data>/",fgets($fh))) {
			    $lines++;
			}
		    }
		    if ($lines > $max_records) $start_line = $lines - $max_records;
		    
		    rewind($fh);
		    $lines = 0;	
		    $recdata = "";
		    $fdata = array();
		    
		    while (!feof($fh)) {
			$fp = fgets($fh);
			if (preg_match("/^\s*<\/Data>/",$fp)) {
			    $lines++;
			    if ($lines > $start_line) {
				$fdata[$lines-$start_line] = $recdata . htmlspecialchars($fp);
				$recdata = "";
			    } 
			    continue;
			}

			if ($lines < $start_line) continue;

			$recdata .= htmlspecialchars($fp);
		    }
		    fclose($fh);
		    
		    echo "<pre>";
			for ($i=sizeof($fdata)-1;$i>=0;$i--) {
			    print $fdata[$i];
			}
		    echo "</pre>";
*/
		} else {
		    echo "<span class=\"highlight\">Error:</span> No data available!";
		}
		
		echo "</div><br/><br/>";
	    }
	}
	closedir($dh);
    }

    return $printed;
}    


$tz = date_default_timezone_get();
date_default_timezone_set("GMT");
$today = date("Ymd");
date_default_timezone_set($tz);

#		    #$res = $adas_config_xp->query("");
#		    print_r($adas_config);

$printed=0;

if ($adas_config) {
    $dirs =$adas_config_xp->query("/ADAS/Writers/*/DataPath");
    $pdirs = array ();
    foreach ($dirs as $dir) {
	$dirname = preg_replace("/\/\/+/","/",$dir->nodeValue);
	$dirname = preg_replace("/\/+$/", "", $dirname);
	if (!in_array($dirname, $pdirs)) {
	    $printed += curdata_dir($dirname, $today);
	    array_push($pdirs, $dirname);
	}
    }
}

$dirname = preg_replace("/\/\/+/","/",$tempdir);
$dirname = preg_replace("/\/+$/", "", $dirname);
if (!in_array($dirname, $pdirs)) {
    $printed += curdata_dir($dirname, $today);
}

if (!$printed) {
    echo "<span class=\"highlight\">Error:</span> No current data found!";
}


?>