function counterShow(attr, graph, i, lastevent) {
    if (!attr.selected) {
	if (lastevent) {
	    var node = document.getElementById(attr.prefix + "-updated-" + i);
	    if (node) nodeSetText(node, lastevent);
	}
	
	var node = document.getElementById(attr.prefix + "-current-" + i);
	if (node) {
	    var lastvalue = graph.lastChild;
	    if (lastvalue) nodeSetText(node, lastvalue.firstChild.nodeValue);
	    else nodeSetText(node, "No Data");
	}
    }
}

function counterHandler(xmldoc, attr) {
    var graph;
    var res = xmldoc.evaluate("//Graph[@sid]", xmldoc, graphNSResolver, XPathResult.ANY_TYPE, null);

    var lastevent = false;
//    var rnode = xmldoc.firstChild; (Don't work in Opera)
    var rnode = xmldoc.getElementsByTagName("Graphs");
    if (rnode) rnode = rnode[0];
    else rnode = false;
    

    if (rnode) {
	var date =  new Date(1000 * rnode.getAttribute("to"));
	lastevent = twodigit(date.getHours()) + ":" + twodigit(date.getMinutes()) + ":" + twodigit(date.getSeconds());
    } 
    
    graph = res.iterateNext();
    for (i=1;graph;i++) {
	graphShow(attr, graph, i);
	counterShow(attr, graph, i, lastevent);
	graph = res.iterateNext();
    }
}

function Counter(prefix, xslturl, xmlurl, init_time, renew_time) {
    if (arguments.length) this.setup(prefix, xslturl, xmlurl, init_time, renew_time);
}
Counter.prototype = new Graph();


Counter.prototype.setup = function(prefix, xslturl, xmlurl, init_time, renew_time) {
    this.GraphSetup = Graph.prototype.setup;
    this.GraphStart = Graph.prototype.start;

    this.GraphSetup(prefix, xslturl, xmlurl, init_time, renew_time);

    this.graphHandler = counterHandler;
}

Counter.prototype.start = function() {
    this.GraphStart();
}


function counterSetup(prefix, xslturl, xmlurl, init_time, renew_time) {
    var c = new Counter(prefix, xslturl, xmlurl, init_time, renew_time);
    c.start();
    return c;    
}
