var status_shown = 0;

function statusHandler(xmldoc, prefix) {
    var values;

    var status = xmldoc.getElementsByTagName("Status");
    if (status) values = status[0].childNodes;
    else values = new Object();

    for (var i = 0; i < values.length; i++) {
	var value = values[i];
	
	var id = prefix + "-" + value.nodeName;
	var value_node = document.getElementById(id);
	if ((value.firstChild)&&(value_node)) {
	    var value_text = value.firstChild.data;
	    var text_node = document.createTextNode(value_text);

	    if (value_node.firstChild) {
		if (value.nodeName=="Errors") 
		    value_node.innerHTML = value_text.replace(/\n/g, '<br/>');
		else
		    value_node.replaceChild(text_node, value_node.firstChild);
	    }
	    else {
		if (value.nodeName=="Errors") {
		    value_node.appendChild(document.createTextNode(""));
		    value_node.innerHTML = value_text.replace(/\n/g, '<br/>');
		} else value_node.appendChild(text_node);
	    }
	}
    }

    var serv_status = xmldoc.getElementsByTagName("ServerStatus");
    var device_status = xmldoc.getElementsByTagName("DeviceStatus");
    if ((!serv_status)||(!serv_status[0].firstChild)||(serv_status[0].firstChild.data.toUpperCase()!="OK")||(!device_status)||(!device_status[0].firstChild)||(device_status[0].firstChild.data.toUpperCase()!="RUNNING")) {
	if (!status_shown) {
	    document.getElementById(prefix + "-div").style.display = "block";
	    status_shown = 1;
	} 
    } else {
	if (status_shown) {
	    document.getElementById(prefix + "-div").style.display = "none";
	    status_shown = 0;
	}
    }
}
