<?

function monitor_head_snt() {
    global $dev, $sensors;
    global $renewal_time;

    js_set_iframe_height("tracking_frame");
    ?><script type="text/javascript" src="js/xml.js"></script><?
    ?><script type="text/javascript" src="js/scrolling.js"></script><?
    ?><script type="text/javascript" src="js/setvalues.js"></script><?
    ?><script type="text/javascript" src="js/status.js"></script><?
    ?><script type="text/javascript" src="js/graph.js"></script><?
    ?><script type="text/javascript" src="js/counter.js"></script><?

    ?><script type="text/javascript" ev:event="onload">
	valueRunner("xmldata/voltages.xml?detector=<?echo $_GET["detector"];?>", valueHandler, "hv", 1000, <?echo $renewal_time;?>);
	valueRunner("xmldata/thresholds.xml?detector=<?echo $_GET["detector"];?>", valueHandler, "threshold", 1000, <?echo $renewal_time;?>);
        valueRunner("xml/status.xml?detector=<?echo $_GET["detector"];?>", statusHandler, "status", 1000, 1000);
	var spectrum_graph = graphSetup("spectrum", "xml/spectrum.xslt", "xmldata/spectrum.xml?detector=<?echo $_GET["detector"];?>", 1000, <?echo $renewal_time;?>);
	var counter_graph = counterSetup("counter", "xml/counter.xslt", "xmldata/counters.xml?detector=<?echo $_GET["detector"];?>", 1000, <?echo $renewal_time;?>);
	scrollingSetup(new Array("spectrum-selected-div", "counter-selected-div", "status-div"));

	graphSetupNormalizer(counter_graph);
    </script><?
}

function monitor_head_sa() {
    global $dev, $sensors;
    global $renewal_time;

    js_set_iframe_height("tracking_frame");
    ?><script type="text/javascript" src="js/xml.js"></script><?
    ?><script type="text/javascript" src="js/scrolling.js"></script><?
    ?><script type="text/javascript" src="js/setvalues.js"></script><?
    ?><script type="text/javascript" src="js/status.js"></script><?
    ?><script type="text/javascript" src="js/graph.js"></script><?
    ?><script type="text/javascript" src="js/counter.js"></script><?

    ?><script type="text/javascript" ev:event="onload">
	valueRunner("xmldata/voltages.xml?detector=<?echo $_GET["detector"];?>", valueHandler, "hv", 1000, <?echo $renewal_time;?>);
	valueRunner("xmldata/thresholds.xml?detector=<?echo $_GET["detector"];?>", valueHandler, "threshold", 1000, <?echo $renewal_time;?>);
        valueRunner("xml/status.xml?detector=<?echo $_GET["detector"];?>", statusHandler, "status", 1000, 1000);
	var spectrum_graph = graphSetup("spectrum", "xml/spectrum.xslt", "xmldata/spectrum.xml?detector=<?echo $_GET["detector"];?>&amp;coincidences", 1000, <?echo $renewal_time;?>);
	var counter_graph = counterSetup("counter", "xml/counter.xslt", "xmldata/counters.xml?detector=<?echo $_GET["detector"];?>&amp;coincidences", 1000, <?echo $renewal_time;?>);
	scrollingSetup(new Array("spectrum-selected-div", "counter-selected-div", "status-div"));

	graphSetupNormalizer(counter_graph);
    </script><?
}

function monitor_head_namt() {
    global $dev, $sensors;
    global $renewal_time;

    js_set_iframe_height("tracking_frame");
    ?><script type="text/javascript" src="js/xml.js"></script><?
    ?><script type="text/javascript" src="js/scrolling.js"></script><?
    ?><script type="text/javascript" src="js/setvalues.js"></script><?
    ?><script type="text/javascript" src="js/status.js"></script><?
    ?><script type="text/javascript" src="js/graph.js"></script><?
    ?><script type="text/javascript" src="js/counter.js"></script><?

    ?><script type="text/javascript" ev:event="onload">
        valueRunner("xml/status.xml?detector=<?echo $_GET["detector"];?>", statusHandler, "status", 1000, 1000);
	var counter_graph = counterSetup("counter", "xml/counter.xslt", "xmldata/counters.xml?detector=<?echo $_GET["detector"];?>", 1000, <?echo $renewal_time;?>);
	scrollingSetup(new Array("counter-selected-div", "status-div"));

	graphSetupNormalizer(counter_graph);
    </script><?
}


function monitor_page_snt() {
    global $dev, $sensors;
    global $configured_voltages;
    global $configured_thresholds;
    global $subdevices;
    global $layers;
    ?>

<div class="namtmonitor">
    <div id="spectrum-selected-div" name="spectrum-selected-div" class="spectrum_selected" style="display: none;">
	<h4>
	    <span id="spectrum-selected-preid" name="spectrum-selected-preid">Sensor</span> 
	    <span id="spectrum-selected-id" name="spectrum-selected-id"></span> 
	    <span id="spectrum-selected-postid" name="spectrum-selected-postid">Spectrum</span>
	</h4>
	<table width="100%" height="100%"><tr><td>
	    <div id="spectrum-selected" name="spectrum-selected">Loading...</div>
	</td></tr></table>
	<div class="selected_close">
	    <button onclick="graphSelect(spectrum_graph, 0);" style="width: 100%; height: 100%;"/>
	</div>
    </div>

    <div id="status-div" name="status-div" class="status" style="display: none;">
	<h4>Detector Out of Order</h4>
	<table width="100%"><tr><td>
	    <span class="title">Server Status</span>: <span class="info" id="status-ServerStatus" name="status-ServerStatus"></span><br/>
	    <span class="title">Device Status</span>: <span class="info" id="status-DeviceStatus" name="status-DeviceStatus"></span><br/>
 	    <span class="title">Device Mode</span>:<span class="info" id="status-DeviceMode" name="status-DeviceMode"></span><br/>
	</td></tr></table>
	<h4>Errors</h4>
	<p class="errors" id="status-Errors" name="status-Errors"></p>
    </div>

    <div id="counter-selected-div" name="counter-selected-div" class="counter_selected" style="display: none;">
	<h4>
	    <span id="counter-selected-preid" name="counter-selected-preid">Sensor</span> 
	    <span id="counter-selected-id" name="counter-selected-id"></span>
	    <span id="counter-selected-postid" name="counter-selected-postid">Count Rate</span>
	</h4>
	<table width="100%" height="100%"><tr><td>
	    <div onclick="graphNormalize(counter_graph, -1);" id="counter-selected" name="spectrum-selected">Loading...</div>
	</td></tr></table>
	<div class="selected_close">
	    <button onclick="graphSelect(counter_graph, 0);" style="width: 100%; height: 100%;"/>
	</div>
    </div>
<?

    for  ($dp=0,$d=0;$d<$subdevices["subdevices"];$d++,$dp+=$layers*$spr) {
      $spr = $subdevices["subdevice"][$d]["sensors"]/$layers;
      if ($subdevies["subdevices"]>1) $devname = $dev["name"] . "-" . ($d+1);
      else $devname = $dev["name"];

    ?><h3>Device: <?echo $dev["name"]; if ($subdevices["subdevices"]>1) {?>, SubDevice: <?echo ($d+1); }?></h3><?
      
    ?><table width="100%" height="100%" class="config"><?
      for ($j=0;$j<$spr;$j++) {
	echo "<tr>";
	for ($i=0;$i<$layers;$i++) {
	    $sid = $dp + $i*$spr + $j + 1;
	    $vid = $devname . "-" . ($i+1) . "-" . ($j+1);
?>
	  <td>
	    <div name="detector-<?echo ($sid);?>" id="detector-<?echo ($sid);?>" class="detector">
	      <h4>Channel <?echo $sid;?> (Layer: <?echo $i+1;?>, Sensor: <?echo $j+1;?>)</h4>
	    
	      <table align="center" class="main_info"><tr><td>
	        Updated: <span class="time" id="counter-updated-<?echo $sid;?>">Loading...</span><br/>
		Current: <span class="current" id="counter-current-<?echo $sid;?>">Loading...</span><br/>
	      </td><td>
	      High Voltage: <span class="hv" id="hv-<?echo ($sid);?>">Loading... </span><br/>
	      Threshold: <span class="threshold" id="threshold-<?echo $sid;?>">Loading...</span><br/>
	      </td></tr></table>

	      <table width="100%" height="100%"><tr><td class="counter" width="50%">
	        <div id="counter-<?echo $sid;?>" name="counter-<?echo $sid;?>" onclick="graphSelect(counter_graph, '<?echo $sid;?>');">Loading...</div>
		Count Rate		
	      </td><td height="100%" class="spectrum" width="50%">
	        <div id="spectrum-<?echo $sid;?>" name="spectrum-<?echo $sid;?>" onclick="graphSelect(spectrum_graph, '<?echo $sid;?>');">Loading...</div>
		Spectrum
	      </td></tr></table>
	    </div>
	  </td>
<?    	}
	echo "</tr>";
      }
    ?></table><?
    }
?></div><?
}

function monitor_page_coincidences() {
    global $dev, $sensors;
    global $configured_voltages;
    global $configured_thresholds;
    global $subdevices;
    global $layers;
    global $mcu_info;
    global $adas_config, $adas_config_xp;

    $res = $adas_config_xp->query("//Devices/NAMT[@id='" . $dev["name"] . "']");
    if ((!$res)||($res->length<1)) return;
    $devconfig = $res->item(0);
    
        
    ?>

<div class="namtmonitor">
<?
    for  ($dpc=0,$dps=0,$d=0;$d<$subdevices["subdevices"];$d++,$dpc+=$coincidences,$dps+=$spectrums) {
      $sensors = $mcu_info["subdevice"][$d]["sensors"];
      $spectrums = $mcu_info["subdevice"][$d]["spectrums"];
      $coincidences = $mcu_info["subdevice"][$d]["coincidences"];

      $rulesets = $adas_config_xp->query("Layout/Coincidences/RuleSet[@dummy!=1]", $devconfig);
      if ($rulesets) {
        if ($rulesets->length != $coincidences) {
	    unset($rulesets);
	}
      }

      $specs = $adas_config_xp->query("Layout/Spectrums/Spectrum", $devconfig);
      if ($specs) {
        if ($specs->length != ($spectrums - $sensors)) {
	    unset($specs);
	}
      }

      if ($subdevies["subdevices"]>1) $devname = $dev["name"] . "-" . ($d+1);
      else $devname = $dev["name"];

    ?><h3>Coincidences of <?echo $devname;?></h3><?
      
    ?><table width="100%" height="100%" class="config"><?
      for ($j=0;$j<$coincidences;$j++) {
	    $sid = $sensors + $dpc + $j + 1;
	    
	    if (($rulesets)&&($specs)) {
		$rulename = $rulesets->item($j)->getAttribute("name");
		$rulespecs = $adas_config_xp->query("Layout/Spectrums/Spectrum[@ruleset='" . $rulename . "']", $devconfig);
	    }
?>
	  <tr><td>
	    <div name="detector-<?echo ($sid);?>" id="detector-<?echo ($sid);?>" class="detector">
	      <h4>Coincidence <?echo $j + 1;?> <?
	        if ($rulesets) echo "(" . $rulesets->item($j)->getAttribute("description") . ")";
	      ?></h4>
	    
	        Updated: <span class="time" id="counter-updated-<?echo $sid;?>">Loading...</span><br/>
		Current: <span class="current" id="counter-current-<?echo $sid;?>">Loading...</span><br/>

	      <table width="100%" height="100%"><tr><td class="counter" width="50%">
	        <div id="counter-<?echo $sid;?>" name="counter-<?echo $sid;?>" onclick='graphSelect(counter_graph, "<?echo $sid;?>", "Coincidence \"<?echo $rulesets->item($j)->getAttribute("name")?>\" Count Rate");'>Loading...</div>
		Count Rate		
	      </td>
	      <?if ($rulespecs) {
	    	    for ($i=0;$i<$rulespecs->length;$i++) { 
			$spec = $rulespecs->item($i);
			for ($k=0;$k<$specs->length;$k++) {
			    if ($spec->isSameNode($specs->item($k))) {
				break;
			    }
			}
			if ($k == $specs->length) continue;
			$id = $sensors + $dps + $k + 1;
		    
	      ?><td height="100%" class="spectrum" width="50%">
	    	    <div id="spectrum-<?echo $id;?>" name="spectrum-<?echo $id;?>" onclick='graphSelect(spectrum_graph, "<?echo $id;?>", "Coincidence \"<?echo $spec->getAttribute("ruleset")?>\" Sensor <?echo $spec->getAttribute("sensor");?> Spectrum");'>Loading...</div>
		    Sensor <?echo $spec->getAttribute("sensor");?> Spectrum
	      </td><?
		    }
	      }?>
	      </tr></table>
	    </div>
	  </td></tr>
<?  }
    ?></table><?
    }
?></div><?
}


function monitor_page_namt() {
    global $dev, $sensors;
    global $configured_voltages;
    global $configured_thresholds;
    global $subdevices;
    ?>

<div class="namtmonitor">
    <div id="status-div" name="status-div" class="status" style="display: none;">
	<h4>Detector Out of Order</h4>
	<table width="100%"><tr><td>
	    <span class="title">Server Status</span>: <span class="info" id="status-ServerStatus" name="status-ServerStatus"></span><br/>
	    <span class="title">Device Status</span>: <span class="info" id="status-DeviceStatus" name="status-DeviceStatus"></span><br/>
 	    <span class="title">Device Mode</span>:<span class="info" id="status-DeviceMode" name="status-DeviceMode"></span><br/>
	</td></tr></table>
	<h4>Errors</h4>
	<p class="errors" id="status-Errors" name="status-Errors"></p>
    </div>

    <div id="counter-selected-div" name="counter-selected-div" class="counter_selected" style="display: none;">
	<h4>Detctor <span id="counter-selected-id" name="counter-selected-id"></span> Count Rate</h4>
	<table width="100%" height="100%"><tr><td>
	    <div onclick="graphNormalize(counter_graph, -1);" id="counter-selected" name="spectrum-selected">Loading...</div>
	</td></tr></table>
	<div class="selected_close">
	    <button onclick="graphSelect(counter_graph, 0);" style="width: 100%; height: 100%;"/>
	</div>
    </div>
<?

    for  ($dp=0,$d=0;$d<$subdevices["subdevices"];$d++,$dp+=2*$spr) {
      $spr = $subdevices["subdevice"][$d]["sensors"]/2;
      if ($subdevices["subdevices"]>1) $devname = $dev["name"] . "-" . ($d+1);
      else $devname = $dev["name"];

    ?><h3>Device: <?echo $dev["name"]; if ($subdevices["subdevices"]>1) {?>, SubDevice: <?echo ($d+1); }?></h3><?
      
    ?><table width="100%" class="config"><?
      for ($j=0;$j<$spr;$j++) {
	echo "<tr>";
	for ($i=0;$i<2;$i++) {
	    $sid = $dp + $i*$spr + $j + 1;
	    $vid = $devname . "-" . ($i+1) . "-" . ($j+1);
?>
	  <td>
	    <div name="detector-<?echo ($sid);?>" id="detector-<?echo ($sid);?>" class="detector">
	      <h4>Channel <?echo $sid;?> (Layer: <?echo $i+1;?>, Sensor: <?echo $j+1;?>)</h4>
		Updated: <span class="time" id="counter-updated-<?echo $sid;?>">Loading...</span><br/>
		Current: <span class="current" id="counter-current-<?echo $sid;?>">Loading...</span><br/>
	      <table width="100%" height="100%"><tr><td class="counter" width="100%">
	        <div id="counter-<?echo $sid;?>" name="counter-<?echo $sid;?>" onclick="graphSelect(counter_graph, '<?echo $sid;?>');">Loadind...</div>
	      </td></tr></table>
	    </div>
	  </td>
<?    	}
	echo "</tr>";
      }
    ?></table><?
    }
?></div><?
}



function monitor_head() {
    global $type; 
    
    switch($type) {
	case 1:
	    return monitor_head_namt();
	case 2: 
	    return monitor_head_snt();
	case 3:
	    return monitor_head_sa();
    }
}

function monitor_page() {
    global $type; 
    
    switch($type) {
	case 1:
	    return monitor_page_namt();
	case 2: 
	    return monitor_page_snt();
	case 3:
	    monitor_page_snt();
	    monitor_page_coincidences();
    }
}


$mcu_info = parse_mcu_info($dev['name']);

if (!strcasecmp($mcu_info['type'], "SNT")) {
    $renewal_time = $MONITOR_RENEWAL_INTERVAL * 1000;
    $type = 2;
    $layers = 2;
} elseif (!strcasecmp($mcu_info['type'], "SA")) {
    $renewal_time = $MONITOR_RENEWAL_INTERVAL * 1000;
    $type = 3;
    $layers = 1;
} elseif (!strcasecmp($mcu_info['type'], "NAMT")) {
    $renewal_time = $MONITOR_RENEWAL_INTERVAL * 1000;
    $type = 1;
    $layers = 2;
} else {
    $monitor_not_supported = 1;
}

?>
